{ nixpkgs ? import <nixpkgs> {} }: with nixpkgs;
stdenv.mkDerivation rec {
  name = "gogs-${version}";
  version = "0.9.48";

  src = fetchzip {
    url = "https://github.com/gogits/gogs/releases/download/v${version}/linux_amd64.zip";
    sha256 = "1z00lqcz7nwbyavs1mwgsr9zjnqrjjmqvxy43p8gap768y45pvlb";
  };

  buildPhase = ''
    patchelf \
      --set-interpreter "$(cat $NIX_CC/nix-support/dynamic-linker)" \
      --set-rpath ${pam}/lib \
      gogs
  '';

  installPhase = ''
    cp -ra ./ $out/
  '';
}
