with import <nixpkgs> {};
stdenv.mkDerivation rec {
  name = "yjp-${version}";
  version = "2016.02-b40";

  src = fetchurl {
    url = "https://www.yourkit.com/download/${name}.zip";
    sha256 = "13kpw6wsc9rpy2pqh1a3fz52qdw1yschn51w3xz35s5g6i8f58fj";
  };

  nativeBuildInputs = [ unzip makeWrapper patchelf ];

  installPhase = ''
    mkdir -p $out
    cp -ra ./ $out/yjp
    chmod +x $out/yjp/bin/*/yjp_dc
    patchelf --set-interpreter "$(cat $NIX_CC/nix-support/dynamic-linker)" $out/yjp/bin/linux-x86-64/yjp_dc
    makeWrapper $out/yjp/bin/yjp.sh $out/bin/yjp \
      --prefix PATH : ${jdk}
  '';
}
